Return command properties

Return command properties#

Description#

Returns properties for a command with the provided ID, or a 404 if no such command is found.

GET /v1/metadata/environment/{environment_id}/chain/{chain_id}/command

Parameters#

Parameter

In

Type

Required

Description

environment_id

path

string

true

The ID of the Environment.

chain_id

path

string

true

The ID of the Chain.

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain/{chain_id}/command \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain/{chain_id}/command \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain/{chain_id}/command" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain/{chain_id}/command', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a CommandsResponse containing an array of Command objects that match the provided environment_id and chain_id.

Example Responses#

{
  "data": [
    {
      "id": "1",
      "link_id": "12",
      "name": "Chain command",
      "description": "Default command for this chain"
    }
  ]
}